

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.18. database_unmap &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.19. define_selector" href="define_selector.html" />
    <link rel="prev" title="7.3.17. config_set" href="config_set.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/database_unmap.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="define_selector.html" title="7.3.19. define_selector"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="config_set.html" title="7.3.17. config_set"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.18. </span><code class="docutils literal notranslate"><span class="pre">database_unmap</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="database-unmap">
<h1><span class="section-number">7.3.18. </span><code class="docutils literal notranslate"><span class="pre">database_unmap</span></code><a class="headerlink" href="#database-unmap" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.18.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">New in version 5.0.7.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">database_unmap</span></code> unmaps already mapped tables and columns in the
database. “Map” means that loading from disk to memory. “Unmap” means
that releasing mapped memory.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Normally, you don’t need to use <code class="docutils literal notranslate"><span class="pre">database_unmap</span></code> because OS
manages memory cleverly. If remained system memory is reduced, OS
moves memory used by Groonga to disk until Groonga needs the
memory. OS moves unused memory preferentially.</p>
</div>
<div class="admonition caution">
<p class="admonition-title">Caution</p>
<p>You can use this command only when <a class="reference internal" href="thread_limit.html"><span class="doc">thread_limit</span></a> returns
<code class="docutils literal notranslate"><span class="pre">1</span></code>. It means that this command doesn’t work with multithreading.</p>
</div>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.18.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes no parameters:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>database_unmap
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.18.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>You can unmap database after you change the max number of threads to
<code class="docutils literal notranslate"><span class="pre">1</span></code>:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>thread_limit --max 1
# [[0, 1337566253.89858, 0.000355720520019531], 2]
database_unmap
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>If the max number of threads is larger than <code class="docutils literal notranslate"><span class="pre">1</span></code>, <code class="docutils literal notranslate"><span class="pre">database_unmap</span></code>
fails:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>thread_limit --max 2
# [[0, 1337566253.89858, 0.000355720520019531], 1]
database_unmap
# [
#   [
#     -2,
#     1337566253.89858,
#     0.000355720520019531,
#     &quot;[database_unmap] the max number of threads must be 1: &lt;2&gt;&quot;,
#     [
#       [
#         &quot;proc_database_unmap&quot;,
#         &quot;proc.c&quot;,
#         3705
#       ]
#     ]
#   ],
#   false
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.18.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p>This section describes all parameters.</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.18.4.1. </span>Required parameters<a class="headerlink" href="#required-parameters" title="Permalink to this headline">¶</a></h3>
<p>There is no required parameter.</p>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.18.4.2. </span>Optional parameters<a class="headerlink" href="#optional-parameters" title="Permalink to this headline">¶</a></h3>
<p>There is no optional parameter.</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.18.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p>The command returns <code class="docutils literal notranslate"><span class="pre">true</span></code> as body on success such as:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, true]
</pre></div>
</div>
<p>If the command fails, error details are in <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
<p>See <a class="reference internal" href="../command/output_format.html"><span class="doc">Output format</span></a> for <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.18. <code class="docutils literal notranslate"><span class="pre">database_unmap</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.18.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.18.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.18.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.18.4. Parameters</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.18.4.1. Required parameters</a></li>
<li><a class="reference internal" href="#optional-parameters">7.3.18.4.2. Optional parameters</a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.18.5. Return value</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="config_set.html"
                        title="previous chapter"><span class="section-number">7.3.17. </span><code class="docutils literal notranslate"><span class="pre">config_set</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="define_selector.html"
                        title="next chapter"><span class="section-number">7.3.19. </span><code class="docutils literal notranslate"><span class="pre">define_selector</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="define_selector.html" title="7.3.19. define_selector"
             >next</a> |</li>
        <li class="right" >
          <a href="config_set.html" title="7.3.17. config_set"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.18. </span><code class="docutils literal notranslate"><span class="pre">database_unmap</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>